commit:     fa8c87fbc4ae5a8c0b45d854cfdb435c8ab64670
Author:     Sebastian Parborg <sebastian <AT> blender <DOT> org>
AuthorDate: Thu May 22 10:48:29 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu May 22 16:06:55 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa8c87fb

media-libs/oidn: Fix hip compilation errors

Debundling the included sci-libs/composable-kernel lib lead to
compilation issues. Because it took over 12 hours to compile
sci-libs/composable-kernel on my computer, and less than 10 minutes to
compile oidn with the bundled composable-kernel lib, I think it is best
to not debundle this library.

Closes: https://bugs.gentoo.org/955869
Signed-off-by: Sebastian Parborg <darkdefende <AT> gmail.com>
Part-of: https://github.com/gentoo/gentoo/pull/42204
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-libs/oidn/{oidn-2.3.3.ebuild => oidn-2.3.3-r1.ebuild} | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/media-libs/oidn/oidn-2.3.3.ebuild 
b/media-libs/oidn/oidn-2.3.3-r1.ebuild
similarity index 89%
rename from media-libs/oidn/oidn-2.3.3.ebuild
rename to media-libs/oidn/oidn-2.3.3-r1.ebuild
index 99190032032e..bb2f53c3a65c 100644
--- a/media-libs/oidn/oidn-2.3.3.ebuild
+++ b/media-libs/oidn/oidn-2.3.3-r1.ebuild
@@ -39,7 +39,6 @@ RDEPEND="
        )
        hip? (
                dev-util/hip:=
-               sci-libs/composable-kernel
        )
        openimageio? ( media-libs/openimageio:= )
 "
@@ -64,7 +63,10 @@ src_prepare() {
        # do not fortify source -- bug 895018
        sed -e "s/-D_FORTIFY_SOURCE=2//g" -i 
{cmake/oidn_platform,external/mkl-dnn/cmake/SDL}.cmake || die
 
-       rm -r external/{composable_kernel,cutlass,mkl-dnn} || die
+       # Don't de-bundle composable_kernel for two reasons:
+       # 1. sci-libs/composable-kernel takes a very long time to compile and 
oidn only uses a subset of it.
+       # 2. We've run into compilation issues when trying to debundle it. See 
#955869
+       rm -r external/{cutlass,mkl-dnn} || die
 
        cmake_src_prepare
 }

Reply via email to